be.ehealth.businessconnector.genins.builders

## Interface RequestObjectBuilder

- All Known Implementing Classes:
    RequestObjectBuilderImpl

      public interface RequestObjectBuilder

  Interface RequestObjectBuilder. Default impl : `RequestObjectBuilderImpl` Factory : `RequestObjectBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetInsurabilityAsXmlOrFlatRequestType` | `createGetInsurabilityRequest(RequestParameters reqestParameters, boolean isTest)` createGetInsurabilityRequest method interface which create GetInsurabilityAsXmlOrFlatRequestType object.

- - ### Method Detail

    - #### createGetInsurabilityRequest

          GetInsurabilityAsXmlOrFlatRequestType createGetInsurabilityRequest(RequestParameters reqestParameters,
                                                                             boolean isTest)
                                                                      throws TechnicalConnectorException,
                                                                             GenInsBusinessConnectorException,
                                                                             InstantiationException

      createGetInsurabilityRequest method interface which create GetInsurabilityAsXmlOrFlatRequestType object.
      Parameters:
        `reqestParameters` - used to create GetInsurabilityAsXmlOrFlatRequestType object. The parameter contains value to creates careReceiverId, periodType, insurabilityRequestDetailType and insurabilityRequestDetailType belong to singleInsurabilityRequestType used to creates GetInsurabilityAsXmlOrFlatRequestType.
        `isTest` - parameter allow to know if the creation of the object is done for testing or not
      Returns:
      Throws:
        `TechnicalConnectorException` - the exception occurs when we creates RecordCommonInputType belong to GetInsurabilityAsXmlOrFlatRequestType. The RecordCommonInputType generates a reference id and if an error occurs during the generation, the exception is thrown.
        `GenInsBusinessConnectorException`
        `InstantiationException` - error when the creation of the GetInsurabilityAsXmlOrFlatRequestType object failed

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.